# u (Update) command

Update older files in the archive and add files that are not already in the archive.

Note: The current version of 7-Zip cannot change an archive which was created with the solid option switched on. To update a .7z archive you must create and update that archive only in non-solid mode (-ms=off switch).

#### Example

    7z u archive.zip *.doc

updates *.doc files to archive archive.zip.

#### Notes

7-Zip doesn't uses the system wildcard parser. 7-Zip doesn't follow the archaic rule by which *.* means any file. 7-Zip treats *.* as matching the name of any file that has an extension. To process all files, you must use a * wildcard.

#### Switches that can be used with this command

-i (Include)
-m (Method)
-p (Set Password)
-r (Recurse)
-sfx (create SFX)
-si (use StdIn)
-so (use StdOut)
-t (Type of archive)
-u (Update)
-w (Working Dir)
-x (Exclude)

#### See also

Commands: a (Add), d (Delete),

Switches: -u (Update)